commit fcc0bf41a453aa075200b2f50cff5eafcab3aaaa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 21 10:34:51 2025 -0400

    lintian

commit 325e9daae2a8cafdc1679b20b7fe54cf843a79e8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 21 14:14:16 2025 +0000

    bumped changelog version

commit 98bc72b45ccbb168bcf5d5e45466b2e5fef9e901
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 21 09:53:24 2025 -0400

    improve /etc/profile.d scripts error handling

commit d2f2d819d8e834f590644b4e742be6ab295b1c64
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 21 09:21:44 2025 -0400

    improve /etc/profile.d scripts error handling

commit a30ababb14350076963b2bb8059a2ff1fab58956
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 21 09:10:12 2025 -0400

    fix: show /etc/profile.d sysmaint account notification only if tty has been detected
    
    This is to avoid confusing non-login scripts with terminal output.

commit 70147191f4e0cc0cd4a0c7de6cf8ea8bd8af495c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 21 09:09:09 2025 -0400

    improve /etc/profile.d scripts error handling

commit 684d9156e8fc63e47126cd31a3544cf9a63c4275
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 21 08:52:31 2025 -0400

    improve /etc/profile.d scripts error handling

commit 6097e82a2b5f7e24a09bc1f38f5723b207d5873a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 21 08:41:48 2025 -0400

    fix

commit 43af04e1c42abccea16dcf227b0c948bbf255958
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 20 11:41:12 2025 +0000

    bumped changelog version

commit a66f6929af582b985323f9069b56c3aa0937a72e
Merge: 7a77e71 6af824a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue May 20 07:33:36 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/default-user'

commit 6af824a21f8b75226ecf7c5e2583bd4b622bffd2
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun May 18 21:12:13 2025 -0500

    Don't override qrexec default user anymore

commit 7a77e713f795ee57fbd235d11d03bc1bea99dfdb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 22:35:42 2025 +0000

    bumped changelog version

commit 395dceaab94e992c506c41feda0200dc79927f0c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 18:34:15 2025 -0400

    comment

commit 49d35e4056e53b5fe406484861c2cd4c66fdc376
Merge: b1bbbf6 fc6b992
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 18:33:27 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/sysmaint-boot-wants'

commit b1bbbf6d631266a6f8beb99ce5dd6fb05be8f065
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 22:29:51 2025 +0000

    bumped changelog version

commit 0d9969ba06d101c32dd5f5cba8961b4ec0081ce1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 18:27:11 2025 -0400

    minor

commit 84322ac4347e90bc1d6a25aac57514395771e73b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 18:19:08 2025 -0400

    end-of-options

commit fc6b9928d66c3e8e8da9f5d599aa315295b2be36
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun May 11 16:35:37 2025 -0500

    Review, update sysmaint-boot.target Wants= dependencies

commit 6a6837b2987bd249845b90cd3983e8ae3d8c342a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 16:48:54 2025 -0400

    fix: do not error out if file /etc/X11/default-display-manager does not exist

commit 172fa3fcb3590f4aecf4984fa291ec8d07098aef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 16:39:57 2025 -0400

    end-of-options

commit 359af2823d39d006b1768082b42ffa72efec0feb
Merge: 946415b 7418129
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 16:38:01 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/login-fix'

commit 74181294da690a258892e4cbe71b7db8d91c7c9b
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun May 11 15:01:36 2025 -0500

    Fix sysmaint session getting picked as the default session for non-sysmaint accounts

commit 946415b27139f19dca1615d1736ab11886c81dc6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 14:39:54 2025 +0000

    bumped changelog version

commit ad8859407b03504ef716caa2c229322645939a14
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 10:26:19 2025 -0400

    allow more services in sysmaint-boot.target

commit 8b90ca78c08953d71e201fbf5e440864133c14a6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun May 11 09:57:57 2025 -0400

    unbreak ram-wipe second pass in sysmaint mode

commit 4fb825d0e318b357bea081cc7a07c1bf00b0d300
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 9 11:47:48 2025 +0000

    bumped changelog version

commit e0a97fe9128eafe921d1f3ca06ebd7e2a1cb5e3e
Merge: 3e711ad a4dfabb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 9 07:40:22 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/systray'

commit a4dfabb6f8f28a4baee8706eb4a651c0f9a34c91
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu May 8 17:54:04 2025 -0500

    Add system tray with nm-applet and sdwdate-gui running in it

commit 3e711ad594618273f4756db73af0a91f6ce0e3d9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 7 05:04:07 2025 +0000

    bumped changelog version

commit 5b5435e9fdd2ae71bdd18e9c74760a009f7af749
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 7 00:26:15 2025 -0400

    refactoring

commit 94cfc98f4f7136c1d85c7ed3de3c2c6ee798d6ec
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 7 00:25:13 2025 -0400

    allow spice-vdagentd.service systemd unit in sysmaint session by default

commit 5fe8b907316115df496756feb03c21b57807094f
Merge: d1ff6b5 e5e8cbc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 7 00:04:58 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/mouse-integration'

commit e5e8cbc88926223afdde78c136a82dd9d017b426
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue May 6 19:43:26 2025 -0500

    Launch spice-vdagent in sysmaint mode to enable mouse integration under KVM

commit acb78920f8827938137d23845034dfd07811e490
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu May 1 17:14:27 2025 -0500

    Fix systemcheck under Whonix by enabling onion-grater in sysmaint sessions

commit d1ff6b5c7171aa829924bb2c71319ab0ba0bca72
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 29 08:17:42 2025 +0000

    bumped changelog version

commit 3332b07e36bac8a4b4e9a52c0bc1ffa544e8c6c7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 29 03:52:11 2025 -0400

    output

commit 49b4977de777d1e5966b4de4521a8352dafb723a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 29 03:49:13 2025 -0400

    output

commit e428a518dd7beb46715c26afb318744059b21190
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 29 03:54:01 2025 +0000

    bumped changelog version

commit 4eb8c59ab9ee37cc9f590b023af39dc7345354c3
Merge: d81199c fb7ba60
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Apr 28 23:40:49 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/sysmaint-config'

commit fb7ba604420ac7ec1051ff03fec9fcc0354b5d11
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Apr 28 19:38:41 2025 -0500

    Disable sysmaint-related systemd units when uninstalled

commit 0801ca50f8d7b64e3aa9ed06f60de7cad4dd35a3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Apr 28 18:49:47 2025 -0500

    Remove obsolete config file, silence a Lintian gripe

commit eab54b942ec92b86c96968b56672dff27ce1fc18
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Apr 27 16:53:24 2025 -0500

    Add unrestricted admin mode for Qubes

commit d81199c512ec4f14008e4d470608623408ead871
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 27 20:20:20 2025 +0000

    bumped changelog version

commit 8b3732580187cad4b5c5ddf14b1f06a2d937a611
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 27 13:05:37 2025 -0400

    refactoring

commit c19dadaae21bf74cc05061d1f73766bc356efb48
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 27 13:01:08 2025 -0400

    output

commit 4058f04e764f06c33716608a9a569993dc3719e0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Apr 26 03:44:24 2025 +0000

    bumped changelog version

commit 7f66e1fe76dcc7757a155accd3681859595da75a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 23:43:42 2025 -0400

    output

commit ba7f75bc1fad41259b144f3c2b2bc71b899ba34c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 14:18:38 2025 +0000

    bumped changelog version

commit 469c135800ad425a657a5097c0c1afaac6cfae14
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 10:17:30 2025 -0400

    allow more services in sysmaint-boot.target

commit 287fe50019e5a1052c43e0c2c910b392d31bf16a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 09:06:45 2025 -0400

    minor

commit c58dd76f1a96fe9023a0ad5ab1aafd253f425617
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 09:06:00 2025 -0400

    Wants=tor.service

commit e886cba3414d53591b6e1387474669fee455745d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 09:55:44 2025 +0000

    bumped changelog version

commit 131789a2d3f12ea7c74fa27860a92cc3590ffd5f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 05:29:44 2025 -0400

    output

commit c043cb576691f74344ece188be13b2d13c451d07
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 09:13:10 2025 +0000

    bumped changelog version

commit 9a87a50af1128b7b196c43bfd63975b2fb52132a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 05:09:31 2025 -0400

    output

commit de962657c65c7fdd5de1865583824777fb4cf72c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 08:20:50 2025 +0000

    bumped changelog version

commit 5a138ba55d08525574afd536ea962028baa70334
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 04:06:22 2025 -0400

    improve boot menu entry:
    REMOVE user-sysmaint-split (Enable unrestricted admin mode.)

commit bb09b3300cc18964334e74122a55663863a0a9c1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Apr 25 04:04:16 2025 -0400

    simplify boot menu names

commit de10f21583df55adbe70ba127cd332d140a29d7d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 22:52:16 2025 +0000

    bumped changelog version

commit cced46f0a87f86e3cd570697aa4fbe6f3f0b15d9
Merge: 3206c55 29fba77
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 16 17:51:33 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/sysmaint-config'

commit 29fba77b19822597511846c6c33e3ad5ae4d485f
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Apr 16 00:17:13 2025 -0500

    Fix sysmaint account-specific config writer framework, refactor duplicated code in sysmaint-session scripts

commit 3206c5519f6bf88a7da0597808513fcd5f04f745
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 10 11:40:07 2025 +0000

    bumped changelog version

commit 17f0fd7cdbd8b2287c09958e31d3eefb3a32ba29
Merge: b981eab 1d2f4c9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 10 05:34:29 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/services'

commit 1d2f4c9e7b7aae42ba9912a7c2d850774696e6e6
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Apr 9 23:14:47 2025 -0500

    Improve user service launching, add updatecheck to service list

commit 3a50dca808114038ccb737309ea9f7d005784540
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Apr 9 21:23:20 2025 -0500

    Mass-change "PERSISTENCE mode USERNAME" to "PERSISTENCE Mode - USERNAME Session"

commit a187ccf0081f5a1ef64e72ecce3680e6909c5cf1
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Apr 9 20:41:25 2025 -0500

    Fix exiting the sysmaint session when one accidentally logs into a sysmaint session with a non-sysmaint account, fix boot mode wording

commit b981eabb9878bc333c6e266b7a6629030b679b4a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 9 16:15:27 2025 +0000

    bumped changelog version

commit 56c78df68cf675cf1cde1e8d92f835cdb753411e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Apr 9 12:14:48 2025 -0400

    rename

commit 12a358f868d772a8a3a65997aa96637b58988aeb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 14:09:28 2025 +0000

    bumped changelog version

commit ee2b1ef2a50456673d2a8cb3cbd25320c2e0207a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 08:56:51 2025 -0400

    remove unnecessary chown

commit b119d9da450443790028dba822b51f02e211352f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 08:54:34 2025 -0400

    use $sudo_to_sysmaint

commit a80527cf4e93db5a69678a5f265a235329e10fc8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 08:51:33 2025 -0400

    output

commit 36d8f7a15ee8205aa3bcb001290df83bb4f9c518
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 08:47:52 2025 -0400

    output

commit 53bcfdc42009d4ba09f32cad82ba5e42bb54c2d0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 08:44:10 2025 -0400

    minor

commit 0fa803aa8c06735e2194c224cac92a4018ef3406
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 08:43:34 2025 -0400

    minor

commit b38c64238c23bc2708cdf494899bcd4d6a50585a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 08:42:52 2025 -0400

    --verbose

commit 7d8885d418a4a0cb718358a9beaa64b452e4cae7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 08:42:33 2025 -0400

    end-of-options

commit 6e892143c00f21fef3ad983c53ca9caa0f131fe0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 08:41:51 2025 -0400

    end-of-options

commit 7f41021369e1dab89948d30bbd16c691f4068b7e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 08:41:11 2025 -0400

    end-of-options

commit 7198110b46a7d3bd1e00ba0c82d41893f6b46c62
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 08:40:02 2025 -0400

    printf

commit c321649b26392cccb3f028ed165e48587b6ed00b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 08:34:23 2025 -0400

    perform all actions inside sysmaint home folder using sudo -u sysmaint so chown is not needed and actions are atomic

commit 882d7f060a0419c5302c1cd7d0911493403a738a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 08:31:00 2025 -0400

    refactoring

commit 499e6466b6999d69a0622271b5e859127b6ada30
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 08:29:55 2025 -0400

    permissions

commit ceef687d3e1ec323fbd1a20382cfc511e2eaf82b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 08:25:54 2025 -0400

    sudo --non-interactive

commit f157d4e815b3143c2fa795ff98a61f7acc6f00fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 08:24:55 2025 -0400

    end-of-options

commit 896c1c346a312f379d9147a0e8873dc7754a2aef
Merge: 515c940 a040d2c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 8 08:22:37 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/terminal-tint'

commit a040d2c62cb2dcb940508c17f0bb2007dc5a51d4
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Apr 6 21:25:24 2025 -0500

    Add one-time sysmaint-account-specific configuration framework, tint sysmaint terminal red

commit 515c9405a60d4f9b7e9342443eca6e7dd859a0c3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 3 17:01:41 2025 +0000

    bumped changelog version

commit 0fdee1eb56744ce6874ad5f1495450bb6d2a1d6b
Merge: 60148b3 46a72d1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Apr 3 12:37:09 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/live-sysmaint'

commit 46a72d139e10479dfdec55dcbdf9818bea1eceef
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Apr 2 18:25:06 2025 -0500

    Prevent custom display manager configuration from breaking sysmaint boot

commit 2acfaf5f9bd45c9c5094a62599fdf2b28846773c
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Apr 2 17:48:00 2025 -0500

    Avoid ending up with GRUB_DEVICE being set to an invalid path

commit 60148b3771f1073610aababe5a63e8443fd6dc8f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 1 14:15:15 2025 +0000

    bumped changelog version

commit 3ad711067be69eaf4cdc3e36d2ee1f59b3bb6b9e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 1 10:10:46 2025 -0400

    better boot menu entry naming

commit c358320cbcd13aeee9e8b13d400aa6faf2df5e6d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 1 11:15:03 2025 +0000

    bumped changelog version

commit 2c12d163ebb1c1f8e161ef0dda643442ca101970
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 1 07:13:38 2025 -0400

    add environment variable session_detail

commit a8215ff5b6b21bcf879b665d131a1dc7960b3e4e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 1 08:47:45 2025 +0000

    bumped changelog version

commit ceb9c0259be348257a3b5e9ae54093460d5b894c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 1 04:38:00 2025 -0400

    add environment variable session_type (PERSISTENT or LIVE)

commit 3a0903d01b6c1670ba87531c9888a37fa7063df0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 1 04:31:43 2025 -0400

    only one TM

commit fbabdd758be742d73c7c88ef871106d804fb8976
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 1 04:30:10 2025 -0400

    only one TM

commit 743750fed9f791ab29940999359c5595055287b7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Apr 1 04:27:25 2025 -0400

    only one TM

commit c75e1097d14c4a1b8dde0661d78412fbdab74453
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 28 14:50:50 2025 +0000

    bumped changelog version

commit d61425ae0f4efe132da6fd2481f5eaf0ab86d627
Merge: 6ca889f 008daeb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 28 09:06:31 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/screenlock'

commit 008daeb6d0ca8d105c9d41a73bb41c146f2c1df1
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Mar 27 16:40:36 2025 -0500

    Fix screen locking button, prohibit fast user switching in PERSISTENT mode SYSMAINT

commit 6ca889f1adb3366762f9715858072f0e953c2b55
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 08:44:22 2025 +0000

    bumped changelog version

commit 6c0cc40282486474b4a7bdf155db9161d99530f6
Merge: 299aba1 7385f2a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 27 03:25:20 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/fix-qubes-systemd'

commit 7385f2a1e8821dea56c492ed10bf72d4f79fcd3b
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Mar 26 23:42:53 2025 -0500

    Rename the desktop name for sysmaint-session-wayland

commit 8ff9bdb324123d277824549a8d17fb5f7ce9c3b8
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Mar 26 18:30:44 2025 -0500

    Fix Qubes OS systemd dependencies

commit 299aba13b38f3f387db9eb77444e34b3c2bc00ac
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 26 09:18:22 2025 +0000

    bumped changelog version

commit 5d219ef675ed20d8dc190f0d340db5fa5eedfe18
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 26 05:06:12 2025 -0400

    comment

commit e536fa5447fb51ae3a4572a50b38049a5bad783d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 26 05:03:56 2025 -0400

    future-proof for later Qubes versions

commit f7e783bf3ed983b42b7cec8314135ca478a5a970
Merge: 16c1b0a 89cdc20
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 26 04:51:04 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/better-qrexec-overrides'

commit 89cdc200c8e5fafe6393d3102db1939d9aad37e9
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Mar 25 20:31:31 2025 -0500

    Skip autologinchange calls on Qubes OS, don't show unnecessary info during installation and upgrades

commit 027efac39c2713d82ae0edd6bab7d4c30805d9b6
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Mar 25 19:50:20 2025 -0500

    Try to prevent a race between sysmaint-boot and qubes-gui-agent

commit 6d7d37f58addc0c81ff666e5e3783662370c85c8
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Mar 25 19:46:30 2025 -0500

    Add sysmaint user to the qubes group under Qubes OS

commit ea8ab0da577a6a93099debaf945d6a14dd961664
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Mar 25 19:24:33 2025 -0500

    Improve sysmaint qrexec overrides mechanism

commit 929364a78e23bca5934e55db279b7ab2194e1d87
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Mar 25 17:36:30 2025 -0500

    Only request boot mode features on Qubes R4.3

commit 16c1b0ae0cdf058e86b5f6b0f5f7c5d429a7829d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 25 13:33:06 2025 +0000

    bumped changelog version

commit 9be6fa553baf3e81e5bf4e80bad327bd8531304c
Merge: da72a56 8078848
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 25 09:26:35 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/qubes-sysmaint'

commit 8078848b08fdd83470c0d27c22a9e779dc7d1ede
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Mar 20 23:00:23 2025 -0500

    Add PERSISTENT mode SYSMAINT boot mode for Qubes OS

commit a5f7b79fe78df09ab6bb28c147da7ed5707b5e0e
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Mar 20 21:39:08 2025 -0500

    Make compatible with Qubes OS

commit da72a56459d7d0b29069e24f4227e8ffc81d49cb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 17 09:37:44 2025 +0000

    bumped changelog version

commit 9c76125417ba046ebdaa96f6ecd877b72fa61ead
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 17 05:12:23 2025 -0400

    verbose

commit 46cdfbd251c99712a7d6a8f2eb575aa9c65ec2f1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 17 05:10:41 2025 -0400

    safe-rm

commit bacdef438429d1e8c506c1ca89a27f449bc0c6a1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 17 05:10:20 2025 -0400

    end-of-options

commit 09fb6c167427e0f27d07ccccb19e3805da72d751
Merge: 2d709b8 d583442
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 17 05:08:18 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/autologin'

commit d583442c25933a49aba63e3553115d15193c29ef
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Mar 16 13:45:26 2025 -0500

    Bugfixes

commit 2d709b8286f6efda878dcd2e0f4bf5c53dcf5933
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 16 11:25:47 2025 +0000

    bumped changelog version

commit ed285246dca7ea8c307dcd3d8372ca3ac1dbf6e2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 16 07:10:24 2025 -0400

    comment

commit 0b37f144eceefe189f44ab3e3f7ef393a34d6a10
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 16 07:08:36 2025 -0400

    output

commit 265642b04be8e84178dc661e2ac69d6a61dacd02
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 16 07:07:58 2025 -0400

    debugging

commit a9fba0997386b1b080d09d3ce31efcba97d1e0bf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 16 07:06:21 2025 -0400

    refactoring

commit 4a1446b98e563a4ccfa9bfa61380fb3e1861424b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 16 07:05:28 2025 -0400

    fix

commit 7dc3463d147b456eafcbbc9be08548af15486a4f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 16 07:01:59 2025 -0400

    comments

commit 63e6ca551a39a9ecf7d7dfd6992aca1c1a63c835
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 16 06:48:44 2025 -0400

    end-of-options

commit ed91e477454bac8573e4b5d7bc4a7a2728f81378
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 16 06:45:48 2025 -0400

    improved error handling

commit 6ec673066018597d65210e92d1316489d115774c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 16 10:39:58 2025 +0000

    bumped changelog version

commit adc6c02cba7e44dede69683cffd1f758991d6b5d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 16 06:39:40 2025 -0400

    output

commit 18f565da6b38949e1995c33c1a631a6e9b290827
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Mar 16 06:38:22 2025 -0400

    verbose

commit e162065d00415dcbedea90f0a8ee30efbfe7d130
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 11:05:17 2025 +0000

    bumped changelog version

commit 49b7b2d39d15db13c2efc35f83a5da2977c9d9fb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 06:09:15 2025 -0400

    avoid informational exit_handler in case of query-sysmaint-autologin

commit 2c9b84f4c5b753ca445c751de6afe55b63603360
Merge: e762ab0 a4ff9a4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 05:46:29 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/user-create'

commit e762ab0d3022c6524802920e4b1b3fcd67d9c51d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 05:40:06 2025 -0400

    end-of-options

commit 95a42006daf1c19f8d16dbb6f3f60be213d5144a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 05:38:47 2025 -0400

    end-of-options

commit 409a5bcf08e2b0cf056169daa3ab25d15d0f25cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 05:37:13 2025 -0400

    end-of-options

commit 545e44c737845a4843f1d9ea225000ca5b012539
Merge: 3a3719f bdfe354
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 15 05:32:11 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/autologin'

commit bdfe3547b013ea931469c92da87a7b018872c2c7
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Mar 13 16:53:58 2025 -0500

    Harden the display manager state config a bit

commit 1532afba1b9ff3f19d3cbd0ec68825df0e3720d2
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Mar 12 21:22:37 2025 -0500

    Pre-select the sysmaint session for login when booting in sysmaint mode

commit 379de02396db3d10ec4e3d6afbb11f970dc9b427
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Mar 12 19:07:09 2025 -0500

    Enhancements to configuration, autologin, postinst logic, output information

commit 91d5fa3ffd8f5cfa38574389c7fe4240d7640c1d
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Mar 11 22:11:50 2025 -0500

    Update user-level systemd and dbus environment variables

commit a4ff9a4f1804a6cc082037098dd7da5c2afbcdaa
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Mar 10 16:23:38 2025 -0500

    Fix minor postinst bug, refactor user account creation logic

commit 3a3719fdacad6a3cec6d253bf754026c1ab46733
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 10 07:43:17 2025 +0000

    bumped changelog version

commit 7280c78923f5889e7baba3f6ac8f18044640516b
Merge: 0e1bae4 779a483
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Mar 10 02:35:14 2025 -0400

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/autologin'

commit 779a483f8c83fd7dfb15f3532a8eb5285115dc05
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Mar 9 20:07:22 2025 -0500

    Set default sysmaint shell to zsh

commit 24186d0b8672c7a89e53fffc241f543de9ce09e5
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Mar 7 15:52:09 2025 -0600

    Enable autologin for sysmaint account by default

commit 9141b7e507da7da08285234c214392aa340a6246
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Mar 6 21:32:59 2025 -0600

    Run sdwdate and msgcollector in sysmaint session, use config file for determining whether to enable sysmaint autologin

commit 0e1bae4d1bc2ab49ec0bf51920e4c42b43ea7ebf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 22 06:04:01 2025 +0000

    bumped changelog version

commit ff1d6488f794b8b1d38cfde02723960d1820d99e
Merge: 6b32095 7a1e79d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Feb 22 00:46:20 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/policy-rcd'

commit 7a1e79d330471d48bfc68169b7993f646803800c
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Feb 21 10:33:47 2025 -0600

    Fix copyright header on policy-rc.d script

commit 6b320956abb362b9a2058ff0fb4a00abb3ee38ae
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 17 12:28:46 2025 +0000

    bumped changelog version

commit 7a6235b8be0425f912ffe7fc2049790f95ec1629
Merge: eba7992 d4c7d1e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Feb 17 07:19:40 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/policy-rcd'

commit d4c7d1ed6e36872de5053072a1fa5436c4902b6f
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Feb 16 15:54:11 2025 -0600

    Add policy-rc.d script for preventing service start on install in sysmaint mode

commit eba7992924b1401730f736e6c465656cd037c2ee
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 13 23:04:53 2025 +0000

    bumped changelog version

commit 40585a6b04947a4d3c1cd5d228b7a8b4e35f757e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 13 17:57:07 2025 -0500

    Before=getty.target

commit 639622c4a84006980137916612bec435025cdf2d
Merge: 84a422d 89feb35
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 13 17:56:13 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/race-fix'

commit 89feb354d708a0830b71a39b16cc59fba45a34e1
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Feb 12 01:13:27 2025 -0600

    Fix race condition that could result in sysmaint login during normal boot

commit 84a422db8ba1a0b7119e6655234456c07ed1e3c5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 14:58:56 2025 +0000

    bumped changelog version

commit 8a5b3318dea066c5d506653a269448a077cda913
Merge: c28082e fc4c0d8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Feb 6 08:23:07 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/uninstaller'

commit fc4c0d867042b400f55ef4e47de728bea82b73de
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Feb 4 23:57:19 2025 -0600

    Add boot entry for uninstalling user-sysmaint-split

commit 6962aae71bc50ccdb17dc348e9b0890219384300
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Feb 4 21:46:17 2025 -0600

    Refactor sysmaint-boot, fix bugs

commit c28082ef728ff86cd67e0a23be29f54db6d4bf79
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 29 14:03:43 2025 +0000

    bumped changelog version

commit 258363ad538b999eca6c6ae5ae2f800cf96a4aa9
Merge: e6f38b9 f732500
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 29 08:02:58 2025 -0500

    Merge remote-tracking branch 'github-kicksecure/master'

commit f7325002a73df8a7170e39345218d2adc7ad9752
Merge: e6f38b9 af77143
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 29 08:01:36 2025 -0500

    Merge pull request #1 from ben-grande/pass-state
    
    Use helper scripts to manage account state

commit e6f38b93897ce1f7f56f547b55a6f2e2df2722f3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 24 15:10:31 2025 +0000

    bumped changelog version

commit c1c2bc1c96ce08ebcf8dcf0266f96a22fa4061e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 24 10:10:21 2025 -0500

    lintian

commit 478b0794a5974d71753620b9bda79c46e8402471
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 24 15:04:55 2025 +0000

    bumped changelog version

commit 6d84fe3df7e657576eb70493e83a90ad7983e3e0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 24 10:04:04 2025 -0500

    add `Breaks: qubes-core-agent-passwordless-root`
    
    to simplify installation of `user-sysmaint-split`,
    to automatically remove `qubes-core-agent-passwordless-root` once
    `sudo apt isntall user-sysmaint-split`.

commit f41e0f1b0d6ba165af7571a78dd9d0ba4e4ed841
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 24 11:12:24 2025 +0000

    bumped changelog version

commit e42a4d3091288bda11e60c8797b1dbfd7e02d2e0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 23 11:13:44 2025 -0500

    copyright

commit 5443104bb2f3d08944b93d4fa14a65aed311561b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 22 13:52:52 2025 +0000

    bumped changelog version

commit 570c6939e99ae691ad7fd126673256d0da65a538
Merge: b9fe678 0692a69
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 22 08:45:08 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/polkit'

commit b9fe678eda74e7f4033fad2e7a385ace2ebe4a0d
Merge: ea1e369 c790c2e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 22 08:44:05 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/ssh'

commit 0692a695cd598cf1b00b3d9a9ffac2e9de407b82
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Jan 21 16:34:53 2025 -0600

    Fix polkit handling for Wayland, add documentation comments

commit c790c2e5bac6634b12288d721ec64c14af261cc3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Jan 20 20:29:39 2025 -0600

    Allow SSH access to sysmaint bootup

commit af771433273d2c4685ba583ae1b88a46e225c06b
Author: Ben Grande <ben.grande.b@gmail.com>
Date:   Mon Jan 13 17:06:09 2025 +0100

    Use helper scripts to manage account state

commit ea1e369ae1e882ac59d399336c961613d82c8502
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 20 11:58:47 2025 +0000

    bumped changelog version

commit 8f89674c9b9279f3aa11b5ed8632c03bf4392d89
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 20 06:58:29 2025 -0500

    remove obsolte comment

commit 814bf4f6c391c1b3c75a57235d85a5c399e225ca
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 20 11:43:46 2025 +0000

    bumped changelog version

commit 5d1640aea7220f58ece975bbdaad2e9ce8435c46
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 20 06:43:25 2025 -0500

    fix path to polkit-agent-helper-1

commit 0bc69bf459ba9431aaceac039261e3c8439dc0a9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 17 13:35:56 2025 +0000

    bumped changelog version

commit 8dd11176174a17776bc2186c03e0c1b117ad2af4
Merge: 139c434 035c488
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 17 07:43:59 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/polkit'

commit 035c4881b70b3ec836248f38cf7f3a9bb3b03020
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Jan 16 00:02:42 2025 -0600

    Fix polkit for sysmaint sessions

commit 139c434cf1309b80c3e885c0d3ba9213f195b074
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 15 15:55:43 2025 +0000

    bumped changelog version

commit e59837c5c3615c70556fee68f03e6b862a1522f6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 15 10:55:32 2025 -0500

    usrmerge

commit f71cdabd94be644c82f74a45849afa48ba99a89a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 15 15:42:28 2025 +0000

    bumped changelog version

commit e43e5fea0cbde7be15fda3ef4585c9c7ab3b3cda
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jan 15 10:39:40 2025 -0500

    make polkit-agent-helper-1 accessible by sysmaint only

commit edd568d65acb49de5db7aae6d29a023a8b5d50ba
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 14 09:26:26 2025 +0000

    bumped changelog version

commit 5e6d482e39c35e6464efdaceffb7819151a349e1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 14 04:15:17 2025 -0500

    comment

commit 37a7bd3cb05b396c717b3a0719aa122d3f269d47
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 14 03:44:22 2025 -0500

    comments

commit 937242383b94ef86301b02470785a1eaa290dd19
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 14 08:41:21 2025 +0000

    bumped changelog version

commit fc22d4700867a0b50577bb3883c8ce7787efb8e2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 14 03:41:10 2025 -0500

    lintian

commit 60a9b7adf3ecdd29742a8387e2ff71558c5661e5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 14 08:24:26 2025 +0000

    bumped changelog version

commit 2a8302985285b654b9bf1949fac6e40c77e0efd7
Merge: 5c5621a 519f24e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jan 14 03:07:02 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/lock-sysmaint-on-shutdown'

commit 519f24e8e3a41ef408b4c6d1d5d9df6e230dbfa3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Jan 12 20:31:45 2025 -0600

    Lock the sysmaint account on system shutdown

commit 5c5621a6ff56769fb0447fcc9d0bab4428fff5b9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 12 13:15:05 2025 +0000

    bumped changelog version

commit 784c4d3441043e0fa6972f74f0ae11b397aceb9e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 12 08:04:29 2025 -0500

    fix

commit 034a11bbd56688c4dca7e181d7f8bc32bb35c1f5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 12 07:48:37 2025 -0500

    refactoring

commit eb0e1399d02259641867b89de5795051a9c4d036
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 12 07:45:47 2025 -0500

    refactoring

commit f1fa24eb48fd8472f32cb7373a9e1f26c8a6692d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 12 07:42:59 2025 -0500

    comments

commit a8d2b4d50a98c321530494cf26f5722a8f880346
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 12 07:41:03 2025 -0500

    lock sysmaint account only if not already locked

commit fe9e622f7f8b2759497b6627bd6a35e2efcb2a55
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 12 12:18:46 2025 +0000

    bumped changelog version

commit e07910c28b9b6140f4e8b5d4c74586f004034868
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 12 06:28:01 2025 -0500

    add error handler

commit 6b8973e7cb1cd49d09635321759eadfa8f1e2bf8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 12 06:24:57 2025 -0500

    add informational exit handler

commit 5852edfbd5029f7e9a1cd6dd01e8f691f09d8641
Merge: 8b964b2 55ccb4b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 12 06:18:22 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/avoid-rads-in-script'

commit 55ccb4b92b72dc81db3312bfc0b352e042bac07d
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sat Jan 11 22:47:33 2025 -0600

    Use sysmaint-boot.target to start rads rather than doing it manually with systemctl

commit 8b964b2908faf2a24acdc28f87e10f1cb7ecbfb5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 10 15:35:11 2025 +0000

    bumped changelog version

commit 3f5ca094de837d0ba2c20b5906f7854e9ae545ef
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 10 10:18:53 2025 -0500

    usrmerge
    
    https://github.com/Kicksecure/security-misc/pull/294

commit f37104f40267b01bb0dd308f36f72ce4d1dbe9b7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 10 08:26:49 2025 -0500

    Qubes support

commit 56b673affccb2ee57feee96fa302f027792c6118
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 10 08:17:49 2025 -0500

    output

commit 55be1330b9d4adec42caf7eebf6f3e182914f64a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 10 08:16:03 2025 -0500

    output

commit 914d1bd6e84e6003a84afea7ebb098ed4323c171
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 10 08:11:40 2025 -0500

    output

commit 8235840dbecd962c936b24caa166ef073efd89e7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 10 08:05:55 2025 -0500

    output

commit 079a933c3f549d71b13fd0a0c0c9fc13a28e6be1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 10 08:03:31 2025 -0500

    refactoring

commit c7c020da89964685f9bf3daac0b58058eed9cf80
Merge: c66b87c 0965f00
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jan 10 07:48:45 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/wayland-sddm-support'

commit 0965f00f18f3d283daf9cf26847ece962c893b8f
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Jan 9 22:23:31 2025 -0600

    Add support for Wayland (untested) and SDDM (tested)

commit c66b87c4911f86a9cf805cd8220ca8f1a25b9ae7
Merge: 0435736 2bd561a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 9 09:35:49 2025 -0500

    Merge remote-tracking branch 'ArrayBolt3/arraybolt3/dist-installer-sysmaint'

commit 2bd561a59cc164baefff818c7aa063cd6363b780
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Jan 7 18:57:59 2025 -0600

    Allow sysmaint user to use sudo -D

commit 043573632274cbcb3f931f5a059190cd9f080fc2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 13:14:56 2025 +0000

    bumped changelog version

commit c193298f529985fe29e972d655a559384ad500c9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 08:11:02 2025 -0500

    readme

commit d78955fb7e6b2602b15f849f5e29a91a78ce83d4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 13:05:33 2025 +0000

    bumped changelog version

commit eb771b9cc583067a714a7ea2a6e57d22e0546bdb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 08:05:00 2025 -0500

    comment

commit 4ed4caf1562638b5e9623fc2bd5db8959fbdfcfa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 08:03:48 2025 -0500

    make sure group `ssh` exists

commit 154ecae5792ec4cbd2e10b60e7443e7e18c54470
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 08:01:38 2025 -0500

    comment

commit df4d59d7752efe8efd496a13442fce8931af45d3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 12:34:41 2025 +0000

    bumped changelog version

commit 6448e25f18caa1eaa46586575fd776b11c1af7d1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 07:31:05 2025 -0500

    comment

commit 3a08e5b9b3dbd549410d5243ff09af511dd47005
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 07:29:20 2025 -0500

    avoid race conditions

commit 50650fe536ba6565af45beb743ad4a3c5c26ccd9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 12:24:58 2025 +0000

    bumped changelog version

commit 260289f1a040042535a8b704d74bedf33797f24a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 07:24:46 2025 -0500

    comment

commit 5579944f5387af785a6ecc97f03901db590b24fa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 07:22:07 2025 -0500

    also create user sysmaint on Qubes

commit f171ce959d7c94b595b875917869b1e7648841b3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 12:04:35 2025 +0000

    bumped changelog version

commit d82cfd0c1917b983f07f3ec2d00eaff321c25a91
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 06:11:39 2025 -0500

    newline at the end

commit b2a0ddbbeb62749dab236f89d533585c5ce736d5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 06:09:58 2025 -0500

    no longer using `passwd --delete` during installation as this unlocks the account

commit e1cad8f31a0c998c1e12f3a964ab35bab5a911b4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 10:43:07 2025 +0000

    bumped changelog version

commit a1dd8dbc4de9e9d5b5641c16edd8680ce1bfb282
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Jan 6 05:42:50 2025 -0500

    fix exit code

commit 2c98f1281634d924854c60b70057d39f22a8ed98
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 31 19:20:33 2024 +0000

    bumped changelog version

commit a319d328df8ba4d62da7af7211035e87ba826aff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 31 13:26:23 2024 -0500

    copyright

commit cc65febee9d644d6ca37bbb04d16da2d2f6cd0dc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 30 12:28:13 2024 +0000

    bumped changelog version

commit 25bed685cf5d049099b2dc363b0d0106d0247984
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 30 07:27:57 2024 -0500

    fix lintian warning

commit 8ed18cbf3a67d9fdaa8833b00e118024462ae8b2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 30 12:25:14 2024 +0000

    bumped changelog version

commit fad19054955e663e8a3ef9631417bcab9200a376
Merge: 8a5f2c1 b46efc6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 30 07:23:59 2024 -0500

    Merge remote-tracking branch 'ArrayBolt3/master'

commit b46efc6e1006db99429b269b6f807231015210a2
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Dec 30 02:14:06 2024 -0600

    Make sysmaint grub boot menu entries better organized

commit 8a5f2c1e98032dcf78c3368dad53c84c367857cc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 30 02:14:51 2024 -0500

    debugging

commit 027fbd0a969e468f269e2f6b2c8b5ed51bf7e71d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 30 02:06:13 2024 -0500

    refactoring

commit 08fe4690fc36a47e81fda38840d3bb97be97e0c8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 30 02:02:34 2024 -0500

    port to marker files

commit b89c80afeb6fdb3e8c8ca400f8d217ad59af0a3c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 30 01:54:55 2024 -0500

    new line at the end

commit 5f4535e30092a17731ceff9d7d52bacc9e447f2c
Merge: 26140f3 96643a2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 30 01:53:37 2024 -0500

    Merge remote-tracking branch 'ArrayBolt3/master'

commit 96643a2b598b9d8876cbede4d9c32267ea996a80
Merge: 793ae44 26140f3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Sun Dec 29 17:36:23 2024 -0600

    Merge branch 'master' of github.com:Kicksecure/user-sysmaint-split

commit 26140f350b7eeb927d230d99a62185e6299b8b71
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Dec 29 12:43:57 2024 +0000

    bumped changelog version

commit 793ae445389b498f988c46b487b84e2de5f6c124
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Dec 26 12:47:56 2024 -0600

    Fix up boot entry logic

commit 2600b255b5ebfd4e04555114e9cd745733d43789
Merge: 12b7d2a 65fb771
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 26 02:26:15 2024 -0500

    Merge remote-tracking branch 'ArrayBolt3/master'

commit 65fb771e997cc772dae12973caf6328a4ca8076c
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Dec 26 00:31:35 2024 -0600

    Bugfixes

commit 12b7d2a3f5692c7f74ccd6b9e566df35291731f9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 26 04:13:08 2024 +0000

    bumped changelog version

commit ca21eeea35f4e16295af9b5c0e66f84e3b30bcf5
Merge: 28cdb7f 584fb53
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 25 22:58:47 2024 -0500

    Merge remote-tracking branch 'ArrayBolt3/master'

commit 584fb53ebe4cfa021a5cef298314b233c4d8f4a2
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Tue Dec 24 21:33:28 2024 -0600

    Don't autologin as sysmaint if a sysmaint password is set

commit 28cdb7f36d7580e62a588430205702708dbd7264
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 24 06:25:04 2024 +0000

    bumped changelog version

commit 2b5318b5c871fe1c45b3eb46b08337b39804bd51
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 24 01:20:59 2024 -0500

    use long option name

commit 7cf7be45e0ecd3aa071f053442591397439a6be9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 24 01:19:45 2024 -0500

    always delete lightdm configuration snippets if lightdm is not installed

commit c7ebc1855d8d88e42034597ca4fcc5555736e2a0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 24 01:17:34 2024 -0500

    lower configuration file priority

commit 34e977bfd9cf90f1f7ba1259c95059fa5e8c9e4a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 24 01:14:14 2024 -0500

    fix lintian warning

commit 38a517b4fa84655c931366d2aa0ed466b6b1c173
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 24 01:12:19 2024 -0500

    rename

commit e1ea9e65629d6c0ce10eda2edb5c9263b6d95928
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 24 01:10:50 2024 -0500

    add keywords to fix lintian warning

commit 7b4451853b95f83b5748d891a13cb95005b60857
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 24 01:07:11 2024 -0500

    chmod +x /usr/share/user-sysmaint-split/conf/X11_Xsession.d_15_sysmaint_no_desktop
    
    to fix lintian warning

commit 9485de81216aea100e3335f003680404a529fcf9
Merge: 6af50f8 1656ea8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 24 00:10:46 2024 -0500

    Merge remote-tracking branch 'ArrayBolt3/master'

commit 1656ea8b18f647768bb37ccd4d08913a6a62fb75
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Mon Dec 23 22:13:56 2024 -0600

    Avoid failure if sysmaint home dir doesn't exist yet

commit a1f35d7caed4a03b81d299b20da21d677243c845
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Dec 20 11:59:57 2024 -0600

    Handle multiple shells in profile.d/20_kicksecure_sysmaint_warn.sh

commit 6af50f8c27d6c9bb4bb7c91d319157d019d14fe2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 20 03:31:38 2024 -0500

    split into prerm and postrm

commit 7565a45564c226730cd9333e43385e1bb6ce30a1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 20 03:28:03 2024 -0500

    Revert "improve robustness of postrm"
    
    This reverts commit 4cf12e3aa2725b3c6954b37665c401490a46132f.

commit 4cf12e3aa2725b3c6954b37665c401490a46132f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 20 03:25:50 2024 -0500

    improve robustness of postrm

commit a2a0574a7a53bc03d916e0daf3c4fbd33317215b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 20 03:09:21 2024 -0500

    comments

commit 2a9677c6bd9cdfefad08c60cce1332b85efb243d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 20 03:04:40 2024 -0500

    code simplification

commit a9d4223184b35d56542f4c92a24b1d337519cc74
Merge: 90f37a1 c9f2189
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 20 03:03:01 2024 -0500

    Merge remote-tracking branch 'ArrayBolt3/master'

commit c9f2189d248d0e700b79d54e3af28ed291df9c5d
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Fri Dec 20 01:31:02 2024 -0600

    Overhaul

commit 90f37a1c4f88f0b2aef83ffec9d3511904b9125f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 20 01:48:02 2024 -0500

    override lintian warning
    
    `W: user-sysmaint-split: systemd-service-file-refers-to-unusual-wantedby-target basic.target [usr/lib/systemd/system/sysmaint-boot.service]`

commit c830453e13fb84de2f6403e4cb03858e28596203
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 20 00:59:13 2024 -0500

    move permission-hardener config snippet from etc to lib
    
    to allow easy, safe apt `remove`
    
    therefore apt `purge` isn't needed

commit 4637ead556c1946033b48a606d62432fc463a8bb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Dec 20 00:26:31 2024 -0500

    fix lintian warnings

commit ed1f87a24fc2c675a3e3653e19b904aec86a7676
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Dec 19 02:43:32 2024 -0500

    output

commit 879f7ed6314637bdc14f54b6a34157ad5f14e2b3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Dec 19 01:07:00 2024 -0600

    Simplify boot code and systemd config

commit 96e664c6d790302dcba124542d3c9645af725cff
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Thu Dec 19 00:00:14 2024 -0600

    Run update-grub post-installation so boot menu entry is created

commit c02fbe4604a3848a197a3bee01e1dfab905637f3
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Dec 18 23:59:59 2024 -0600

    Fix systemd unit name for sysmaint boot.

commit cda19edb62a5ecb436cd371df4d920a9802b895a
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Dec 18 23:42:36 2024 -0600

    Work around limitations in passwd for unlocking passwordless accounts

commit 48ba692e656d167f7f40ded5b48b2d3bf593a0ed
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Dec 18 23:42:14 2024 -0600

    Fix package name in changelog

commit 4349cc617923a53dab49c01c7316cec911472774
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Dec 18 21:41:59 2024 -0600

    Show caution message in sysmaint terminals

commit f5fe78b39af0edd21863e016f8abbc75269de011
Author: Aaron Rainbolt <arraybolt3@ubuntu.com>
Date:   Wed Dec 18 21:41:37 2024 -0600

    Add systemd config

commit 882aafe56b0fe4808900eff4ff65f74637ee158a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Dec 18 02:42:36 2024 -0500

    rename admin to sysmaint

commit c92ada1a1be3370bb68e147e68fc05dc6d14caaa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 17 22:11:26 2024 -0500

    rename

commit 96b6d979c7797a23a47c7e2169aeab67a24e1f19
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Dec 17 22:10:15 2024 -0500

    rename

commit c0dbbbbbd6ac30f32b5a77eda8714fd5764bb4b9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Dec 16 20:03:48 2024 -0500

    initial implementation
